## ros-foxy-realsense-hardware-interface 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(realsense_hardware_interface)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if($ENV{ROS_DISTRO} STREQUAL "galactic")
  add_definitions(-DGALACTIC)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(ros2_control REQUIRED)
find_package(pluginlib REQUIRED)
find_package(realtime_tools REQUIRED)
find_package(hardware_interface REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(controller_interface REQUIRED)
find_package(realsense2 REQUIRED)
find_package(tf2_msgs REQUIRED)
find_package(OpenCV REQUIRED)
find_package(image_transport REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(cv_bridge REQUIRED)
find_package(Poco REQUIRED Foundation)

include_directories(
  include
  ${OpenCV_INCLUDE_DIRS}
)

add_library(realsense_hardware_interface SHARED
  src/t265_hardware_interface.cpp
  src/util.cpp
)
target_include_directories(
  realsense_hardware_interface
  PRIVATE
  include
  ${OpenCV_INCLUDE_DIRS}
)
target_link_libraries(realsense_hardware_interface
  ${realsense2_LIBRARY}
  Poco::Foundation
  ${OpenCV_LIBRARIES}
)
ament_target_dependencies(realsense_hardware_interface
  hardware_interface
  pluginlib
  rclcpp
  ros2_control
  realtime_tools
  nav_msgs
  tf2_msgs
  image_transport
  sensor_msgs
  cv_bridge
  Poco
  OpenCV
)
pluginlib_export_plugin_description_file(hardware_interface realsense_hardware_interface.xml)

add_library(realsense_controller_interface SHARED
  src/rs2_pose_publisher.cpp
  src/rs2_image_publisher.cpp
  src/rs2_imu_publisher.cpp
  src/util.cpp
)
target_include_directories(
  realsense_controller_interface
  PRIVATE
  include
  ${OpenCV_INCLUDE_DIRS}
)
target_link_libraries(realsense_controller_interface
  ${realsense2_LIBRARY}
  Poco::Foundation
  ${OpenCV_LIBRARIES}
)
ament_target_dependencies(realsense_controller_interface
  controller_interface
  hardware_interface
  pluginlib
  rclcpp
  ros2_control
  realtime_tools
  nav_msgs
  tf2_msgs
  image_transport
  sensor_msgs
  cv_bridge
  Poco
  OpenCV
)
pluginlib_export_plugin_description_file(controller_interface realsense_controller_interface.xml)

ament_export_libraries(
  realsense_hardware_interface realsense_controller_interface
)
ament_export_dependencies(
  hardware_interface
  pluginlib
  rclcpp
  ros2_control
  realtime_tools
  nav_msgs
  tf2_msgs
  image_transport
  sensor_msgs
  cv_bridge
  Poco
  OpenCV
)

install(
  TARGETS realsense_hardware_interface realsense_controller_interface
  DESTINATION lib
)

install(DIRECTORY config launch urdf
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-foxy-realsense-hardware-interface (0.0.2-1focal) focal; urgency=high

  * Merge pull request #21 <https://github.com/OUXT-Polaris/realsense_hardware_interface/issues/21> from OUXT-Polaris/fix/depends_diagnostic_msgs
    add diagnostic_msgs to the depends
  * add diagnostic_msgs to the depends
  * [Bot] Update workflow (#20 <https://github.com/OUXT-Polaris/realsense_hardware_interface/issues/20>)
    * Setup workflow
    * remove old repos
    * remove quaternion_operation package
    Co-authored-by: MasayaKataoka <mailto:ms.kataoka@gmail.com>
  * Setup workflow (#19 <https://github.com/OUXT-Polaris/realsense_hardware_interface/issues/19>)
  * Setup workflow (#18 <https://github.com/OUXT-Polaris/realsense_hardware_interface/issues/18>)
  * Setup workflow (#17 <https://github.com/OUXT-Polaris/realsense_hardware_interface/issues/17>)
  * Setup workflow (#16 <https://github.com/OUXT-Polaris/realsense_hardware_interface/issues/16>)
  * Setup workflow (#15 <https://github.com/OUXT-Polaris/realsense_hardware_interface/issues/15>)
  * Merge pull request #14 <https://github.com/OUXT-Polaris/realsense_hardware_interface/issues/14> from OUXT-Polaris/fix/galactic_build
    enable pass compile in galactic environment
  * enable pass compile in galactic environment
  * Merge pull request #13 <https://github.com/OUXT-Polaris/realsense_hardware_interface/issues/13> from OUXT-Polaris/fix/update_mathod
    enable pass compile in galactic
  * enable pass compile in galactic
  * Setup workflow (#12 <https://github.com/OUXT-Polaris/realsense_hardware_interface/issues/12>)
  * Merge pull request #11 <https://github.com/OUXT-Polaris/realsense_hardware_interface/issues/11> from OUXT-Polaris/fix/ros2_control_branch
    update target branch
  * fix errors in galactic
  * Merge branch 'master' into fix/ros2_control_branch
  * update target branch
  * Setup workflow (#10 <https://github.com/OUXT-Polaris/realsense_hardware_interface/issues/10>)
  * Setup workflow (#9 <https://github.com/OUXT-Polaris/realsense_hardware_interface/issues/9>)
  * Setup workflow (#8 <https://github.com/OUXT-Polaris/realsense_hardware_interface/issues/8>)
  * Setup workflow (#7 <https://github.com/OUXT-Polaris/realsense_hardware_interface/issues/7>)
  * [Bot] Update workflow (#6 <https://github.com/OUXT-Polaris/realsense_hardware_interface/issues/6>)
    * Setup build test workflow
    * specify ros2_control version
    * update workflow
    Co-authored-by: Masaya Kataoka <mailto:ms.kataoka@gmail.com>
  * Merge pull request #5 <https://github.com/OUXT-Polaris/realsense_hardware_interface/issues/5> from OUXT-Polaris/feature/remove_old_workflow
    remove old workflow
  * remove old workflow
  * Merge pull request #4 <https://github.com/OUXT-Polaris/realsense_hardware_interface/issues/4> from OUXT-Polaris/workflow/build_test
    [Bot] Update workflow
  * add ros2_control to the repos file
  * add ouxt_common to the repos
  * add ouxt_lint_common
  * Setup build test workflow
  * Merge pull request #3 <https://github.com/OUXT-Polaris/realsense_hardware_interface/issues/3> from OUXT-Polaris/feature/imu_driver
  * enable publish imu data
  * modify launch files
  * add imu publisher class
  * enable get value in hardware interface
  * add isready function
  * add toMsg function
  * add imu handle
  * Merge pull request #2 <https://github.com/OUXT-Polaris/realsense_hardware_interface/issues/2> from OUXT-Polaris/feature/add_depends
    update depends
  * update depends
  * Contributors: Masaya Kataoka, MasayaKataoka, wam-v-tan

 -- masaya <ms.kataoka@gmail.com>  Thu, 10 Feb 2022 15:00:00 -0000

ros-foxy-realsense-hardware-interface (0.0.1-1focal) focal; urgency=high

  * add depends
  * enable pass test
  * enable print device infomation
  * fix error
  * enable specify serial
  * apply reformat
  * enable encode as color image
  * fix error
  * fix errors
  * add qos option
  * rename rviz package
  * update rviz
  * enable get image
  * enable subscribe image
  * fix size
  * add util.cpp
  * apply reformat
  * enable transport image as shared memory
  * add poco key param
  * add frameToSet function
  * update depends
  * add poco to the depends
  * enable get w value
  * apply reformat
  * fix problems in getting angular velocity
  * add rviz file
  * enable publish odom
  * enable get odom message
  * add depends
  * apply reformat
  * add angular acceleration interface
  * enable passing rs2_pose
  * enable load controller plugin
  * add rs2_pose_publisher
  * add getValue memnber function
  * remove reference from member
  * add handler to the interface
  * enable export interface from handle struct
  * add PoseHandle
  * add data handle
  * remove proto files
  * add proto definition
  * add toMsg functions
  * modify cmake
  * remove unused process
  * use librealsense
  * add some configuration
  * add URDF
  * apply reformat
  * add .gitignore
  * enable recieve values
  * initial commit
  * Contributors: Masaya Kataoka

 -- masaya <ms.kataoka@gmail.com>  Tue, 20 Jul 2021 15:00:00 -0000

=== debian/control ===
Source: ros-foxy-realsense-hardware-interface
Section: misc
Priority: optional
Maintainer: masaya <ms.kataoka@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libgtk-3-dev, libpoco-dev, libssl-dev, libusb-1.0-0-dev, pkg-config, ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-controller-interface, ros-foxy-cv-bridge, ros-foxy-diagnostic-msgs, ros-foxy-hardware-interface, ros-foxy-image-transport, ros-foxy-librealsense2, ros-foxy-nav-msgs, ros-foxy-ouxt-lint-common, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-realtime-tools, ros-foxy-ros2-control, ros-foxy-sensor-msgs, ros-foxy-tf2-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-realsense-hardware-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgtk-3-dev, libpoco-dev, libssl-dev, libusb-1.0-0-dev, pkg-config, ros-foxy-controller-interface, ros-foxy-cv-bridge, ros-foxy-diagnostic-msgs, ros-foxy-hardware-interface, ros-foxy-image-transport, ros-foxy-librealsense2, ros-foxy-nav-msgs, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-realtime-tools, ros-foxy-ros2-control, ros-foxy-rviz2, ros-foxy-sensor-msgs, ros-foxy-tf2-msgs, ros-foxy-ros-workspace
Description: ros2 hardware interface for realsense camera

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-realsense-hardware-interface//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
